### robocode.control.events

# Class BattleEvent

- `java.lang.Object`
- - `robocode.control.events.BattleEvent`

Known Direct Subclasses:
  BattleCompletedEvent, BattleErrorEvent, BattleFinishedEvent, BattleMessageEvent, BattlePausedEvent, BattleResumedEvent, BattleStartedEvent, RoundEndedEvent, RoundStartedEvent, TurnEndedEvent, TurnStartedEvent

`public abstract class BattleEvent`
`extends Object`

This is the base class of all battle events.

Authors:
  Pavel Savara (original)
  Flemming N. Larsen (contributor)

Since:
  1.6.2

  ## Constructor Summary

  `BattleEvent()`
    Creates a new BattleEvent.

## Constructor Details

### BattleEvent

    public BattleEvent()

> Creates a new BattleEvent.